Bug 487884 - Login using GDM fails in presence of long passwords
Login using GDM fails in presence of long passwords
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-28 14:39 EST by Adalbert Prokop
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 03:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adalbert Prokop 2009-02-28 14:39:02 EST
Description of problem:
Since the last update of GDM to version 2.24.1-4 I cannot log in. The password I remember is correct, since I can login using the console and also using KDM. It seems to be related to my password's length (it's rather long), because I tested another account with a 3-letter-password with the new GDM and I did not encounter any problems there.

Version-Release number of selected component (if applicable):

How reproducible:
Update to gdm of the mentioned version, set "averylongpassword" as password for a user.

Actual results:
GDM fails reporting that the user authentication failed.

Expected results:
GDM should accept correct password of any length.
Comment 1 Adalbert Prokop 2009-03-01 09:15:47 EST
I have to correct myself. Not the password's length is important, but the keyboard layout - I have some special characters in my password. Before the update GDM accepted my password with the layout de-latin1. Afterwards I had to set the keyboard layout to (German dead acute grave). If de-latin1 is set, the actual keyboard layout is en-US.
Comment 2 Bug Zapper 2009-11-18 07:46:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 03:55:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.